TAPEEXERCISE(8)

NAME
tapeexercise - exercise a tape drive

SYNOPSIS
tapeexercise [ -vBEFP ] devname

DESCRIPTION

The tapeexercise program writes sample data to a tape, and tests to see if positioning and read operations perform as expected. It needs a write-enabled tape on the indicated (no-rewind) drive. Tapeexercise should be used with extreme caution. Successful completion is indicated by a ``<test name>: test begin,'' ``<test name>: test ok'' pair for each test that is run. An example is as follows:

    BasicTest: test begin
    BasicTest: test ok

OPTIONS

-v  Operate in verbose mode.

-B  Perform only the basic test.

-E  Perform only the EOT test.

-F  Perform only the File Space Forward test.

-P  Perform only the 'SCO' positioning test.

If none of the options BEFP are set, then all of the tests are performed.

devname
    The device name of the tape device under test. This should be a non-rewind device, following the local operating system convention.

SEE ALSO
nsrmmd(8), Hardware Compatibility Guide.

LIMITATIONS
The tapeexercise program will generally fail for QIC drives, because these devices do not support all of the functionality assumed by tapeexercise, most importantly, they do not support back-skip-file. Such devices may work with nsrmmd(8); consult the Hardware Compatibility Guide for a complete list of supported devices.